import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Avatar, Box, Button, Card, CardContent, CardMedia, styled, Typography, } from '@mui/material';
import { DeleteOutline, EditOutlined } from '@mui/icons-material';
import { CustomFavorite } from './CustomFavorite';
const StyledCard = styled(Card)(() => ({
    height: '100%',
    display: 'flex',
    flexDirection: 'column',
    transition: 'transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out',
    '&:hover': {
        transform: 'translateY(-8px)',
        boxShadow: '0 12px 20px rgba(0, 0, 0, 0.1)',
    },
    borderRadius: 16,
    position: 'relative',
}));
const ReadMoreButton = styled(Button)(() => ({
    marginTop: 'auto',
    transition: 'transform 0.2s ease-in-out',
    '&:hover': {
        transform: 'translateY(-3px)',
    },
}));
export const CustomCard = ({ post, handleCardActionClick, }) => {
    return (_jsxs(StyledCard, { children: [_jsx(CardMedia, { component: "img", height: "200", image: post.imgSrc, alt: post.title, sx: { objectFit: 'cover' } }), _jsx(CustomFavorite, { fill: post.isFavorite, show: post.showFavorite, handleClick: () => {
                    handleCardActionClick(post.id, 'fav');
                } }), _jsxs(CardContent, { sx: {
                    flexGrow: 1,
                    display: 'flex',
                    flexDirection: 'column',
                }, children: [_jsxs(Box, { sx: { display: 'flex', alignItems: 'center', mb: 2 }, children: [_jsx(Avatar, { src: post.avatarSrc, alt: post.author, sx: { width: 40, height: 40, mr: 1 } }), _jsxs(Box, { sx: {
                                    width: '100%',
                                    display: 'flex',
                                    alignItems: 'center',
                                }, children: [_jsxs(Box, { children: [_jsx(Typography, { variant: "subtitle2", color: "text.primary", children: post.author }), _jsx(Typography, { variant: "caption", color: "text.secondary", children: post.date })] }), post.writePermission && (_jsxs(Box, { marginLeft: "auto", sx: {
                                            display: 'flex',
                                            justifyContent: 'flex-end',
                                            alignItems: 'center',
                                        }, children: [_jsx(Button, { sx: { minWidth: 0 }, onClick: () => handleCardActionClick(post.id, 'edit'), children: _jsx(EditOutlined, {}) }), _jsx(Button, { sx: { minWidth: 0 }, onClick: () => {
                                                    handleCardActionClick(post.id, 'del');
                                                }, children: _jsx(DeleteOutline, { color: "error" }) })] }))] })] }), _jsx(Typography, { variant: "h6", gutterBottom: true, component: "h2", children: post.title }), _jsx(Typography, { variant: "body2", color: "text.secondary", sx: { mb: 2 }, children: post.desc.slice(0, 150) + '...' }), _jsx(ReadMoreButton, { variant: "contained", color: "primary", sx: { borderRadius: 2 }, "aria-label": `Read more about ${post.title}`, onClick: () => handleCardActionClick(post.id, 'read'), children: "Read More" })] })] }));
};
