import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import Box from '@mui/material/Box';
import InputLabel from '@mui/material/InputLabel';
import MenuItem from '@mui/material/MenuItem';
import FormControl from '@mui/material/FormControl';
import Select from '@mui/material/Select';
import { EventEmitter } from '../../../utils/EventEmitter/EventEmitter';
import { EventName } from '../../../utils/EventEmitter/constants';
export const Filters = ({ type, filter = [], handleFilter, width, defaultValue, }) => {
    const [filterItem, setFilterItem] = React.useState(defaultValue);
    const handleChange = (event) => {
        setFilterItem(event.target.value);
        const filterItem = { type, item: event.target.value };
        handleFilter(filterItem);
        EventEmitter(EventName.handleFilterSelect, filterItem);
        // Scroll to the top when filter changes
        window.scrollTo({
            top: document.getElementById('top-section')?.offsetTop || 0,
            behavior: 'smooth',
        });
    };
    return (_jsx(Box, { sx: {
            mb: 2,
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'flex-start',
        }, children: _jsxs(FormControl, { fullWidth: true, sx: { maxWidth: 240, marginRight: 2, width }, size: "small", children: [_jsx(InputLabel, { id: "demo-simple-select-label", children: type }), _jsx(Select, { labelId: "demo-simple-select-label", id: "demo-simple-select", value: filterItem, label: type, onChange: handleChange, children: filter.map(item => {
                        return (_jsx(MenuItem, { value: item, children: item }, item));
                    }) })] }) }));
};
