import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import AppBar from '@mui/material/AppBar';
import Box from '@mui/material/Box';
import CssBaseline from '@mui/material/CssBaseline';
import IconButton from '@mui/material/IconButton';
import MenuIcon from '@mui/icons-material/Menu';
import Toolbar from '@mui/material/Toolbar';
import { DrawerComponent } from './components/DrawerComponent';
import { SearchComponent } from './components/SearchComponent';
import { AvatarMenu } from './components/AvatarMenu';
import { NavBarItems } from './components/NavBarItems';
import { Typography } from '@mui/material';
export const BlogNavContainer = ({ children, logoSrc = '.', avatarSrc = '.', navItems = [], navActive, avatarItems = [], searchItems = [], avatarName, searchItemLoading = false, noResults = false, handleNavItem, handleAvatarItem, handleSearchItem, handleSearchInput, }) => {
    const [isDrawerOpen, setIsDrawerOpen] = React.useState(false);
    const handleDrawerToggle = () => {
        setIsDrawerOpen(prevState => !prevState);
    };
    return (_jsxs(Box, { sx: { display: 'flex' }, children: [_jsx(CssBaseline, {}), _jsxs(AppBar, { component: "nav", children: [_jsxs(Toolbar, { children: [_jsx(IconButton, { color: "inherit", "aria-label": "open drawer", edge: "start", onClick: handleDrawerToggle, sx: { mr: 0 }, children: _jsx(MenuIcon, {}) }), _jsx(Box, { sx: {
                                    display: 'flex',
                                    alignItems: 'center',
                                    cursor: 'pointer',
                                }, children: _jsx("img", { src: logoSrc, alt: "Logo", height: 40 }) }), _jsx(SearchComponent, { noResults: noResults, handleSearchItem: handleSearchItem, searchItems: searchItems, handleSearch: handleSearchInput, loading: searchItemLoading }), _jsx(NavBarItems, { handleNavItem: handleNavItem, navItems: navItems, navActive: navActive, sx: {
                                    display: { xs: 'none', sm: 'none', md: 'block' },
                                } }), _jsx(AvatarMenu, { menuItems: avatarItems, avatarSrc: avatarSrc, handleAvatarItem: handleAvatarItem, avatarName: avatarName })] }), _jsxs(Typography, { variant: "caption", fontSize: '0.5rem', position: 'absolute', right: '0', bottom: '0', mr: 2, color: "textDisabled", fontWeight: '600', children: ["@", avatarName] })] }), _jsx(DrawerComponent, { imgSrc: logoSrc, navItems: navItems, navActive: navActive, drawerWidth: 240, isDrawerOpen: isDrawerOpen, onDrawerClose: handleDrawerToggle, handleNavItem: handleNavItem }), _jsxs(Box, { component: "main", width: "100%", sx: { padding: { xs: 1, sm: 2, md: 3 } }, children: [_jsx(Toolbar, {}), children] })] }));
};
