import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import Box from '@mui/material/Box';
import IconButton from '@mui/material/IconButton';
import Menu from '@mui/material/Menu';
import MenuItem from '@mui/material/MenuItem';
import Tooltip from '@mui/material/Tooltip';
import Typography from '@mui/material/Typography';
import Avatar from '@mui/material/Avatar';
import { EventEmitter } from '../../../utils/EventEmitter/EventEmitter';
import { EventName } from '../../../utils/EventEmitter/constants';
import { Divider } from '@mui/material';
export const AvatarMenu = ({ menuItems, avatarSrc, avatarName, handleAvatarItem, }) => {
    const [anchorElUser, setAnchorElUser] = React.useState(null);
    const handleOpenMenu = (event) => {
        setAnchorElUser(event.currentTarget);
    };
    const handleCloseMenu = () => {
        setAnchorElUser(null);
    };
    const handleAvatarItemClick = (item) => {
        handleAvatarItem(item);
        EventEmitter(EventName.handleAvatarItem, item);
    };
    return (_jsxs(Box, { sx: { flexGrow: 0, marginLeft: 'auto' }, children: [_jsx(Tooltip, { title: "Open settings", children: _jsx(IconButton, { onClick: handleOpenMenu, sx: { p: 0 }, children: _jsx(Avatar, { alt: "Avatar", src: avatarSrc }) }) }), _jsxs(Menu, { sx: { mt: '45px' }, id: "menu-appbar", anchorEl: anchorElUser, anchorOrigin: {
                    vertical: 'top',
                    horizontal: 'right',
                }, keepMounted: true, transformOrigin: {
                    vertical: 'top',
                    horizontal: 'right',
                }, open: Boolean(anchorElUser), onClose: handleCloseMenu, children: [avatarName && (_jsxs(Box, { px: 2, pb: 1, children: [_jsx(Typography, { variant: "body2", color: "textSecondary", children: "Profile:" }), _jsx(Typography, { fontWeight: "400", pb: 1, children: avatarName }), _jsx(Divider, {})] })), menuItems.map(item => (_jsx(MenuItem
                    // eslint-disable-next-line @typescript-eslint/no-unused-vars
                    , { 
                        // eslint-disable-next-line @typescript-eslint/no-unused-vars
                        onClickCapture: e => handleAvatarItemClick(item), onClick: handleCloseMenu, children: _jsx(Typography, { sx: { textAlign: 'center' }, color: "primary", children: item }) }, item)))] })] }));
};
