import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import Drawer from '@mui/material/Drawer';
import Box from '@mui/material/Box';
import Divider from '@mui/material/Divider';
import List from '@mui/material/List';
import ListItem from '@mui/material/ListItem';
import ListItemButton from '@mui/material/ListItemButton';
import ListItemText from '@mui/material/ListItemText';
import Paper from '@mui/material/Paper';
import Typography from '@mui/material/Typography';
import { EventEmitter } from '../../../utils/EventEmitter/EventEmitter';
import { EventName } from '../../../utils/EventEmitter/constants';
export const DrawerComponent = ({ navItems, navActive, drawerWidth, isDrawerOpen, onDrawerClose, imgSrc, handleNavItem, }) => {
    const handleNavItemClick = (item) => {
        handleNavItem(item);
        EventEmitter(EventName.handleNavItem, item);
    };
    return (_jsx("nav", { children: _jsx(Drawer, { variant: "temporary", open: isDrawerOpen, onClose: onDrawerClose, ModalProps: {
                keepMounted: true, // Better open performance on mobile.
            }, sx: {
                '& .MuiDrawer-paper': {
                    boxSizing: 'border-box',
                    width: drawerWidth,
                    background: '#f4f6f8',
                    boxShadow: '0 4px 12px rgba(0, 0, 0, 0.1)',
                },
            }, children: _jsxs(Paper, { sx: {
                    m: 2,
                    p: 2,
                    textAlign: 'center',
                    boxShadow: 'none',
                    background: 'transparent',
                }, onClick: onDrawerClose, children: [_jsx(Box, { sx: {
                            display: 'flex',
                            alignItems: 'center',
                            justifyContent: 'center',
                            mb: 2,
                            mt: 2,
                        }, children: _jsx("img", { src: imgSrc, alt: "Logo", height: 50, style: { borderRadius: '50%' } }) }), _jsx(Divider, { sx: { mb: 2 } }), _jsx(List, { children: navItems.map(item => (_jsx(ListItem, { disablePadding: true, children: _jsx(ListItemButton, { onClick: () => handleNavItemClick(item), sx: {
                                    textAlign: 'center',
                                    borderRadius: 2,
                                    mb: 1,
                                    '&:hover': {
                                        backgroundColor: 'rgba(0, 0, 0, 0.05)',
                                    },
                                    backgroundColor: navActive === item
                                        ? 'rgba(25, 118, 210, 0.1)'
                                        : 'transparent',
                                }, children: _jsx(ListItemText, { primary: _jsx(Typography, { variant: "subtitle1", sx: {
                                            color: navActive === item
                                                ? 'primary.main'
                                                : 'text.primary',
                                            fontWeight: navActive === item ? 'bold' : 'normal',
                                        }, children: item }) }) }) }, item))) })] }) }) }));
};
