import { jsx as _jsx } from "react/jsx-runtime";
import Box from '@mui/material/Box';
import Button from '@mui/material/Button';
import { EventEmitter } from '../../../utils/EventEmitter/EventEmitter';
import { EventName } from '../../../utils/EventEmitter/constants';
export const NavBarItems = ({ navItems, handleNavItem, navActive, ...rest }) => {
    const handleNavItemClick = (item) => {
        handleNavItem(item);
        EventEmitter(EventName.handleNavItem, item);
    };
    return (_jsx(Box, { ...rest, children: navItems.map(item => (_jsx(Button, { sx: {
                margin: { md: '0 8px 0' },
                color: '#fff',
                borderRadius: 0,
                borderBottom: navActive === item ? '2px solid #fff' : null,
            }, onClick: () => handleNavItemClick(item), children: item }, item))) }));
};
