import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import Box from '@mui/material/Box';
import Card from '@mui/material/Card';
import CardMedia from '@mui/material/CardMedia';
import CardContent from '@mui/material/CardContent';
import Typography from '@mui/material/Typography';
import Button from '@mui/material/Button';
import Paper from '@mui/material/Paper';
import Avatar from '@mui/material/Avatar';
import DeleteOutline from '@mui/icons-material/DeleteOutline';
import EditOutlined from '@mui/icons-material/EditOutlined';
import { DeleteModal } from './components/DeleteModal';
import { EventEmitter } from '../../utils/EventEmitter/EventEmitter';
import { EventName } from '../../utils/EventEmitter/constants';
export const BlogPage = ({ blogPost, handleBlogAction }) => {
    const [deleteModalOpen, setDeleteModalOpen] = useState(false);
    const [deletePostTitle, setDeletePostTitle] = useState('');
    const handleDeleteActionClick = () => {
        handleBlogAction('del');
        EventEmitter(EventName.handleBlogAction, 'del');
    };
    return (_jsxs(Box, { sx: {
            p: { xs: 2, sm: 2, md: 4 },
            background: 'linear-gradient(145deg, #f6f8fc 0%, #f0f4f8 100%)',
            borderRadius: '16px',
        }, children: [_jsx(DeleteModal, { open: deleteModalOpen, title: deletePostTitle, onCancel: () => setDeleteModalOpen(false), onConfirm: () => {
                    handleDeleteActionClick();
                    setDeleteModalOpen(false);
                } }), _jsx(Paper, { elevation: 2, children: _jsxs(Card, { sx: { boxShadow: 3 }, children: [_jsx(CardMedia, { component: "img", image: blogPost.imageSrc, alt: blogPost.title, sx: {
                                height: { sm: '50vh', xs: '30vh' },
                                objectFit: 'cover',
                            } }), _jsxs(CardContent, { children: [_jsx(Typography, { variant: "h4", gutterBottom: true, children: blogPost.title }), _jsxs(Box, { sx: {
                                        width: '100%',
                                        display: 'flex',
                                        alignItems: 'center',
                                    }, children: [_jsxs(Box, { sx: {
                                                display: 'flex',
                                                alignItems: 'center',
                                                mb: 2,
                                            }, children: [_jsx(Avatar, { src: blogPost.avatarSrc, alt: blogPost.author, sx: { width: 40, height: 40, mr: 1 } }), _jsx(Box, { sx: {
                                                        width: '100%',
                                                        display: 'flex',
                                                        alignItems: 'center',
                                                    }, children: _jsxs(Box, { children: [_jsx(Typography, { variant: "subtitle2", color: "text.primary", children: blogPost.author }), _jsx(Typography, { variant: "caption", color: "text.secondary", children: blogPost.date })] }) })] }), blogPost.writePermission && (_jsxs(Box, { marginLeft: "auto", sx: {
                                                display: 'flex',
                                                flexWrap: 'wrap',
                                                justifyContent: 'flex-end',
                                                alignItems: 'center',
                                            }, children: [_jsxs(Button, { onClick: () => {
                                                        handleBlogAction('edit');
                                                        EventEmitter(EventName.handleBlogAction, 'edit');
                                                    }, size: "small", sx: { minWidth: 0 }, children: [_jsx(EditOutlined, {}), " Edit"] }), _jsxs(Button, { onClick: () => {
                                                        // handleBlogAction('del');
                                                        // EventEmitter(EventName.handleBlogAction, 'del');
                                                        setDeleteModalOpen(true);
                                                        setDeletePostTitle(blogPost.title);
                                                    }, size: "small", sx: { minWidth: 0 }, children: [_jsx(DeleteOutline, { color: "error" }), " Delete"] })] }))] }), _jsx(Typography, { variant: "body1", sx: { mb: 3, mt: 3, whiteSpace: 'pre-wrap' }, children: blogPost.desc })] })] }) })] }));
};
